<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
<html>
    <head>
        <style>
            * {
                padding: 0;
                margin: 0;
                font-size: 100.1%;
                font-family: Arial, Verdana, Sans-Serif;
            }

            body {
                padding: 1em;
            }

            h1 {
                margin: 0 0 1em 0;
            }

            table {
                background-color: #555555;
                border-spacing: 0.0625em;
            }

            th {
                font-size: 0.75em;
                padding: 0.5em;
                align:center;
                background-color: #EEEEEE;
            }

            td {
                font-size: 0.75em;
                padding: 0.5em;
                vertical-align: top;
                background-color: #FFFFFF;
            }

            table table.features { 
                background-color: #FFFFFF;
                border-spacing: 0.0625em;
            }

            table table.features td {
                font-size: 1em;
            }

            table table.features th {
                font-size: 1em;
                text-align: left;
            }
        </style>
    </head>
<body>
    <!-- Katalogname -->
    <h1><xsl:value-of select="BMECAT/HEADER/CATALOG/CATALOG_NAME" /></h1>

    <!-- Katalog-Tabelle -->
    <table>
        <tr>
            <th>Artikelnummer</th>
            <th>EAN-Code</th>
            <th>Produktbezeichnung</th>
            <th>Beschreibung</th>
            <th>Eigenschaften</th>
            <th>Preis</th>
            <th>Bild</th>
        </tr>
        <xsl:for-each select="BMECAT/T_NEW_CATALOG/ARTICLE">
            <tr>
                <td>
                    <xsl:value-of select="SUPPLIER_AID" />
                </td>
                <td>
                    <xsl:value-of select="ARTICLE_DETAILS/EAN" />
                </td>
                <td>
                    <xsl:value-of select="ARTICLE_DETAILS/DESCRIPTION_SHORT" />
                </td>
                <td>
                    <xsl:value-of select="ARTICLE_DETAILS/DESCRIPTION_LONG" />
                </td>
                
                <!--Anzeigen FEATURES  --> 
                <td>
                    <table class="features">
                        <tr>
                            <th>Klassifikations-System</th>
                            <td><xsl:value-of select="ARTICLE_FEATURES/REFERENCE_FEATURE_SYSTEM_NAME" /></td>
                        </tr>
                        <tr>
                            <th>Klassen-ID</th>
                            <td><xsl:value-of select="ARTICLE_FEATURES/REFERENCE_FEATURE_GROUP_ID" /></td>
                        </tr>
                        <xsl:for-each select="ARTICLE_FEATURES">
                            <xsl:for-each select="FEATURE"> 
                                <tr>
                                    <th><xsl:value-of select="FNAME" /></th>
                                    <td>
                                        <xsl:value-of select="FVALUE" />
                                        <xsl:value-of select="FUNIT" />
                                    </td>
                                </tr>
                            </xsl:for-each>
                        </xsl:for-each>
                    </table>
                </td>
                <td>
                    <xsl:value-of select="ARTICLE_PRICE_DETAILS/ARTICLE_PRICE/PRICE_AMOUNT" />
                    <xsl:text> </xsl:text>
                    <xsl:value-of select="ARTICLE_PRICE_DETAILS/ARTICLE_PRICE/PRICE_CURRENCY" />
                </td>
                <!--Anzeigen BILDER-->  
                <td valign="top">
                    <xsl:for-each select="MIME_INFO">
                        <xsl:for-each select="MIME">
			    <img>
                                <xsl:attribute name="src">
				    <xsl:value-of select="/BMECAT/HEADER/CATALOG/MIME_ROOT" />/<xsl:value-of select="MIME_SOURCE" />
				</xsl:attribute>
                                <xsl:attribute name="width">250</xsl:attribute>
                            </img>
                        </xsl:for-each> 
                    </xsl:for-each>
                </td>
            </tr>
        </xsl:for-each>
    </table>
</body>
</html>

</xsl:template>

</xsl:stylesheet>
